/***
 * Excerpted from "Build Talking Apps",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/cwalexa for more book information.
***/
const Alexa = require('ask-sdk-core');

const ScheduleTripIntentHandler_DENIED = {
  canHandle(handlerInput) {
    const request = handlerInput.requestEnvelope.request;
    return Alexa.getRequestType(
              handlerInput.requestEnvelope) === 'IntentRequest'
      && Alexa.getIntentName(
              handlerInput.requestEnvelope) === 'ScheduleTripIntent'
    && Alexa.getRequest(handlerInput.requestEnvelope)
              .intent.confirmationStatus === 'DENIED';
  },
  handle(handlerInput) {
    const destinationSlot =
          Alexa.getSlot(handlerInput.requestEnvelope, 'destination');
    const destinationSlotJSON = JSON.stringify(destinationSlot);

    const speakOutput = 
        "Okay, I'll cancel your trip. What can I do for you now?";

    return handlerInput.responseBuilder
        .speak(speakOutput)
        .reprompt("How can I help you?")
        .getResponse();
  },
};

module.exports=ScheduleTripIntentHandler_DENIED;
