/***
 * Excerpted from "Build Talking Apps",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/cwalexa for more book information.
***/
const Alexa = require('ask-sdk-core');

const subtractDay = function(orig, d) {
  orig.setTime(orig.getTime() - (d*24*60*60*1000));
  return orig;
}


module.exports = {
  async setReminder(handlerInput, destination, departureDate) {
    const { serviceClientFactory, responseBuilder } = handlerInput;
    
    const reminderRequest = require('./reminderRequest.json');
    reminderRequest.requestTime = new Date().toISOString();
/*

    ...

*/
    if (reminderRequest.trigger.type === 'SCHEDULED_ABSOLUTE') {
      reminderRequest.trigger.scheduledTime = 
              subtractDay(new Date(departureDate), 1).toISOString();
    }
    const reminderText = 
        handlerInput.t('REMINDER_MSG', { destination: destination });
    reminderRequest.alertInfo.spokenInfo.content.push({
        'locale': Alexa.getLocale(handlerInput.requestEnvelope),
        'text': reminderText,
        'ssml': `<speak>${reminderText}</speak>`
      });

    try {
      const reminderClient = 
            serviceClientFactory.getReminderManagementServiceClient();
      await reminderClient.createReminder(reminderRequest);

    } catch (error) {
      if (error.name === 'ServiceError' && 
             (error.statusCode == 403 || error.statusCode == 401)) {
        responseBuilder.withAskForPermissionsConsentCard(
             ['alexa::alerts:reminders:skill:readwrite']);
        throw new Error(handlerInput.t('REMINDER_PERMISSION'));
      } else {
        throw new Error(handlerInput.t('REMINDER_ERROR'));
      }
    }
/*

    ...

*/

  }
};
