/***
 * Excerpted from "Build Talking Apps",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/cwalexa for more book information.
***/
const nock = require('nock');

module.exports = {
  onRequest: (test, requestEnvelope) => {
    const mockGivenName = test.testSuite.configuration.givenName;
    const TEST_API_ENDPOINT = 'https://api.amazonalexa.com';
    requestEnvelope.context.System.apiEndpoint = TEST_API_ENDPOINT;
    requestEnvelope.context.System.apiAccessToken = 'API_ACCESS_TOKEN';
    if (mockGivenName) {
      nock(TEST_API_ENDPOINT)
          .get('/v2/accounts/~current/settings/Profile.givenName')
          .reply(200, `"${mockGivenName}"`);
    } else {
      nock(TEST_API_ENDPOINT)
          .get('/v2/accounts/~current/settings/Profile.givenName')
          .reply(403,
              {
                "code":"ACCESS_DENIED",
                "message":"Access denied with reason: FORBIDDEN"
              });
    }
  }
};
