/***
 * Excerpted from "Build Talking Apps",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/cwalexa for more book information.
***/
/* *
 * We create a language strings object containing all of our strings.
 * The keys for each string will then be referenced in our code, e.g. handlerInput.t('WELCOME_MSG').
 * The localisation interceptor in index.js will automatically choose the strings
 * that match the request's locale.
 * */
module.exports = {
  en: {
    /*
    ...
    */
    translation: {
      WELCOME_MSG:
        '<speak>' +
        '<p><audio src="https://starport75.dev/audio/SP75.mp3"/> ' +
        'Welcome to Star Port 75 Travel, your source for ' +
        '<audio src="soundbank://soundlibrary/scifi/' +
        'amzn_sfx_scifi_small_zoom_flyby_01"/> ' +
        'out-of-this world adventures.</p> ' +
        '<p>Where do you want to blast off to?</p> ' +
        '</speak>',
      WELCOME_MSG_PERSONAL:
        'Welcome back to Star Port 75 Travel, {{givenName}}! ' +
        'How can I help you?',
      HELLO_MSG: 'Have a stellar day!',
      SCHEDULED_MSG: "You're all set. Enjoy your trip to {{destination}}!",
      DATE_VALIDATION_ERROR:
        'Star Port Seventy Five specializes in space travel, ' +
        'not time travel. Please specify a return date that is ' +
        'after the departure date.',
      LINK_MSG:
        "You'll need to link the Star Port " +
        "75 Travel skill with your Google Calendar so " +
        "that I can schedule your trip. I've added a " +
        "card in the Alexa app to help you with that.",
      HELP_MSG: 'You can say hello to me! How can I help?',
      GOODBYE_MSG: 'Goodbye!',
      REFLECTOR_MSG: 'You just triggered {{intentName}}',
      FALLBACK_MSG: 'Sorry, I don\'t know about that. Please try again.',
      ERROR_MSG:
        'Sorry, I had trouble doing what you asked. Please try again.'
    }
  },
  "en-GB": {
    translation: {
      GOODBYE_MSG: 'Cheerio!'
    }
  },
  es: {
    translation: {
      WELCOME_MSG:
        '<speak><lang xml:lang="es-ES">' +
        '<p><audio src="https://starport75.dev/audio/SP75.mp3"/> ' +
        'Bienvenido a Star Port 75 Travel, su fuente de ' +
        '<audio src="soundbank://soundlibrary/scifi/' +
        'amzn_sfx_scifi_small_zoom_flyby_01"/> ' +
        'aventuras fuera de este mundo.</p> ' +
        '<p>¿A dónde quieres volar?</p> ' +
        '</lang></speak>',
      WELCOME_MSG_PERSONAL:
        '<speak><lang xml:lang="es-ES">' +
        '¡Bienvenido de nuevo a Star Port 75 Travel, {{givenName}}! '+
        '¿Como puedo ayudarte?' +
        '</lang></speak>',
      /*
      WELCOME_MSG_PERSONAL:
        '<speak><voice name="Enrique"><lang xml:lang="es-ES">' +
        '¡Bienvenido de nuevo a Star Port 75 Travel, {{givenName}}! '+
        '¿Como puedo ayudarte?' +
        '</lang></voice></speak>',
      */
      HELLO_MSG: '¡Que tengas un día estelar!',
      SCHEDULED_MSG:
        '<speak><lang xml:lang="es-ES">' +
        'Estás listo. ¡Disfruta tu viaje a {{destination}}!' +
        '</lang></speak>',
      DATE_VALIDATION_ERROR:
        'Star Port Seventy Five se especializa en viajes espaciales, ' +
        'no en viajes en el tiempo. Especifique una fecha de regreso ' +
        'posterior a la fecha de salida.',
      ACCOUNT_LINKING_MSG:
        "Tendrá que vincular la habilidad de viaje Star Port 75 " +
        "con su Google Calendar para que pueda programar su viaje. " +
        "Agregué una tarjeta en la aplicación Alexa para ayudarte " +
        "con eso.",
      HELP_MSG: '¡Puedes saludarme! ¿Cómo puedo ayudar?',
      GOODBYE_MSG: '¡Adiós!',
      REFLECTOR_MSG: 'Acabas de activar {{intentName}}',
      FALLBACK_MSG: 'Lo siento, no sé sobre eso. Inténtalo de nuevo.',
      ERROR_MSG:
        'Lo siento, tuve problemas para hacer lo que me pediste. ' +
        'Inténtalo de nuevo.'
    }
  }
  /*
  es: {
    translation: {
      WELCOME_MSG:
        '<speak>' +
        '<p><audio src="https://starport75.dev/audio/SP75.mp3"/> ' +
        'Bienvenido a Star Port 75 Travel, su fuente de ' +
        '<audio src="soundbank://soundlibrary/scifi/' +
        'amzn_sfx_scifi_small_zoom_flyby_01"/> ' +
        'aventuras fuera de este mundo.</p> ' +
        '<p>¿A dónde quieres volar?</p> ' +
        '</speak>',
      WELCOME_MSG_PERSONAL:
        '¡Bienvenido de nuevo a Star Port 75 Travel, {{givenName}}! '+
        '¿Como puedo ayudarte?',
      HELLO_MSG: '¡Que tengas un día estelar!',
      
      SCHEDULED_MSG:
        'Estás listo. ¡Disfruta tu viaje a {{destination}}!',
      DATE_VALIDATION_ERROR:
        'Star Port Seventy Five se especializa en viajes espaciales, ' +
        'no en viajes en el tiempo. Especifique una fecha de regreso ' +
        'posterior a la fecha de salida.',
      ACCOUNT_LINKING_MSG:
        "Tendrá que vincular la habilidad de viaje Star Port 75 " +
        "con su Google Calendar para que pueda programar su viaje. " +
        "Agregué una tarjeta en la aplicación Alexa para ayudarte " +
        "con eso.",
      HELP_MSG: '¡Puedes saludarme! ¿Cómo puedo ayudar?',
      GOODBYE_MSG: '¡Adiós!',
      REFLECTOR_MSG: 'Acabas de activar {{intentName}}',
      FALLBACK_MSG: 'Lo siento, no sé sobre eso. Inténtalo de nuevo.',
      ERROR_MSG:
        'Lo siento, tuve problemas para hacer lo que me pediste. ' +
        'Inténtalo de nuevo.'
    }
    */
}
