/***
 * Excerpted from "Build Talking Apps",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/cwalexa for more book information.
***/
const Alexa = require('ask-sdk-core');
const ScheduleTripIntentHandler_Link =
              require('./ScheduleTripIntentHandler_Link');

const ScheduleTripIntentHandler = require('./ScheduleTripIntentHandler');
const ScheduleTripIntentHandler_InProgress =
              require('./ScheduleTripIntentHandler_InProgress');
const StandardHandlers = require('./StandardHandlers');
const YesNoIntentHandlers = require('./YesNoIntentHandlers');

const LocalisationRequestInterceptor = require('./localization');
const PurchaseIntentHandlers = require('./PurchaseHandlers');

exports.handler = Alexa.SkillBuilders.custom()
    .addRequestHandlers(
        PurchaseIntentHandlers.BuyIntentHandler,
        PurchaseIntentHandlers.RefundIntentHandler,
        PurchaseIntentHandlers.ContinueAfterRefundHandler,
        PurchaseIntentHandlers.ContinueAfterPurchaseHandler,
        ScheduleTripIntentHandler_Link,
        ScheduleTripIntentHandler,
        ScheduleTripIntentHandler_InProgress,
        YesNoIntentHandlers.YesIntentHandler,
        YesNoIntentHandlers.NoIntentHandler,
        StandardHandlers.LaunchRequestHandler,
        StandardHandlers.HelpIntentHandler,
        StandardHandlers.CancelAndStopIntentHandler,
        StandardHandlers.FallbackIntentHandler,
        StandardHandlers.SessionEndedRequestHandler,
        StandardHandlers.IntentReflectorHandler
    )
    .addErrorHandlers(
        StandardHandlers.ErrorHandler)
    .withApiClient(new Alexa.DefaultApiClient())
    .addRequestInterceptors(
        LocalisationRequestInterceptor)
    .lambda();
