/***
 * Excerpted from "Build Talking Apps",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/cwalexa for more book information.
***/
module.exports = {
  en: {
    translation: {
      WELCOME_MSG:
        '<speak>' +
        '<p><audio src="https://starport75.dev/audio/SP75.mp3"/> ' +
        'Welcome to Star Port 75 Travel, your source for ' +
        '<audio src="soundbank://soundlibrary/scifi/' +
        'amzn_sfx_scifi_small_zoom_flyby_01"/> ' +
        'out-of-this world adventures.</p> ' +
        '<p>Where do you want to blast off to?</p> ' +
        '</speak>',
      WELCOME_MSG_PERSONAL:
        'Welcome back to Star Port 75 Travel, {{givenName}}! ' +
        'How can I help you?',
      WELCOME_DISPLAY_TITLE: 'Star Port 75 Travel',
      WELCOME_DISPLAY_TEXT_1: 'Welcome to Star Port 75 Travel, your ' +
        'source for out-of-this-world adventure!',
      WELCOME_DISPLAY_TEXT_2: 'Where do you want to blast off to?',
      WELCOME_DISPLAY_HINT_TEXT: 'Try, "Alexa, plan a trip to Saturn"',
      SCHEDULED_MSG: "You're all set. Enjoy your trip to {{destination}}!" +
        "If you want, I can send you a notification when the reservation " +
        "is confirmed. I've sent a card to the Alexa application for you " +
        "to give permission for notifications. " +
        "Would you like me to send you a reminder about this trip?",
      SCHEDULED_CARD_TITLE: 'Enjoy your trip!',
      SCHEDULED_CARD_MSG: "You're all set for a trip to {{destination}}, " +
        "leaving {{departureDate}} and returning {{returnDate}}!",
      ENJOY_YOUR_TRIP_TITLE: 'Enjoy your trip to',
      DEPARTURE_LABEL: 'Departing',
      RETURNING_LABEL: 'Returning',
      DATE_VALIDATION_ERROR:
        'Star Port Seventy Five specializes in space travel, ' +
        'not time travel. Please specify a return date that is ' +
        'after the departure date.',
      LINK_MSG:
        "You'll need to link the Star Port " +
        "75 Travel skill with your Google Calendar so " +
        "that I can schedule your trip. I've added a " +
        "card in the Alexa app to help you with that.",
      HELP_MSG: 'You can ask me to plan a trip to any planet in our solar ' +
        'system. For example, you can say "Plan a trip to Jupiter. ',
      HELP_MOONS_MSG: 'You may also plan travel to several of the moons ' +
        'in our solar system by adding the "Magnificent Moons" package; ' +
        'just say "Buy the Magnificent Moons package". ',
      HELP_PROMPT: 'What do you want to do?',
      HELP_CARD_TITLE: 'How to use this skill',
      HELP_CARD_MSG: 'Ask me to plan a trip to any planet in our solar ' +
        'system.\nFor example, you could say:\n"Plan a trip to Jupiter"' +
        '\n"Schedule a trip to Mars"\n"Plan a trip to Venus leaving ' +
        'next Monday"',
      GOODBYE_MSG: 'Goodbye and thanks for traveling with ' +
        'Star Port 75 Travel!',
      FALLBACK_MSG: 'I\'m not sure that I can help with that. ' +
        'Please ask again.',
      REFLECTOR_MSG: 'You just triggered {{intentName}}',
      ERROR_MSG:
        'Sorry, I had trouble doing what you asked. Please try again.',
      REMINDER_MSG: 'A reminder from Star Port 75 Travel: ' +
                    'Your trip to {{destination}} is tomorrow!',
      REMINDER_PERMISSION: 'I was unable to set a reminder. Please grant ' +
        'me permission to set a reminder in the Alexa app.',
      REMINDER_ERROR: 'There was an error creating the reminder.',
      YES_REMINDER: "Okay, I'll send you a reminder a day before your trip.",
      NO_REMINDER: "Okay, I won't send you a reminder.",
      UPSELL_MOONS_PACK: 'Travel to {{destination}} is only available ' +
          'with the "Magnificent Moons" add-on. Do you want to learn more ' +
          'about this option?',
      PURCHASE_RESPONSE_ACCEPTED: 'Thanks for purchasing the Magnificent ' +
          'Moons extension! You may now book travel to several of the ' +
          'most prominent moons in our solar system.',
      PURCHASE_RESPONSE_DECLINED: "That's too bad. If you change your " +
          'mind let me know by saying "Buy the Magnificent Moons pack".',
      PURCHASE_RESPONSE_ALREADY_PURCHASED: 'You have already purchased the ' +
          'Magnificent Moons package.',
      PURCHASE_RESPONSE_ERROR: 'There was an error processing your ' +
          'purchase. Try again later.'
    }
  },
  es: {
    translation: {
      WELCOME_MSG:
        '<speak><lang xml:lang="es-ES">' +
        '<p><audio src="https://starport75.dev/audio/SP75.mp3"/> ' +
        'Bienvenido a Star Port 75 Travel, su fuente de ' +
        '<audio src="soundbank://soundlibrary/scifi/' +
        'amzn_sfx_scifi_small_zoom_flyby_01"/> ' +
        'aventuras fuera de este mundo.</p> ' +
        '<p>¿A dónde quieres volar?</p> ' +
        '</lang></speak>',
      WELCOME_MSG_PERSONAL:
        '<speak><voice name="Conchita"><lang xml:lang="es-ES">' +
        '¡Bienvenido de nuevo a Star Port 75 Travel, {{givenName}}! '+
        '¿Como puedo ayudarte?' +
        '</lang></voice></speak>',
      WELCOME_DISPLAY_TITLE: 'Star Port 75 Travel',
      WELCOME_DISPLAY_TEXT_1: '¡Bienvenido a Star Port 75 Travel, tu ' +
        'fuente de aventura fuera de este mundo!',
      WELCOME_DISPLAY_TEXT_2: '¿A dónde quieres volar?',
      WELCOME_DISPLAY_HINT_TEXT: 'Intenta, "Alexa, planea un viaje a Saturno"',
      SCHEDULED_MSG:
        '<speak><lang xml:lang="es-ES">' +
        'Estás listo. ¡Disfruta tu viaje a {{destination}}! ' +
        '¿Quieres que te envíe un recordatorio sobre este viaje?' +
        '</lang></speak>',
      SCHEDULED_CARD_TITLE: 'Enjoy your trip!',
      SCHEDULED_CARD_MSG: "You're all set for a trip to {{destination}}, " +
        "leaving {{departureDate}} and returning {{returnDate}}!",
      ENJOY_YOUR_TRIP_TITLE: 'Disfruta tu viaje a',
      DEPARTURE_LABEL: 'Saliendo el',
      RETURNING_LABEL: 'Volviendo el',
      DATE_VALIDATION_ERROR:
        'Star Port Seventy Five se especializa en viajes espaciales, ' +
        'no en viajes en el tiempo. Especifique una fecha de regreso ' +
        'posterior a la fecha de salida.',
      ACCOUNT_LINKING_MSG:
        "Tendrá que vincular la habilidad de viaje Star Port 75 " +
        "con su Google Calendar para que pueda programar su viaje. " +
        "Agregué una tarjeta en la aplicación Alexa para ayudarte " +
        "con eso.",
      LINK_MSG:
        "Tendrá que vincular la habilidad de viaje Star Port 75 con su " +
        "Google Calendar para que pueda programar su viaje. He agregado " +
        "una tarjeta en la aplicación Alexa para ayudarte con eso.",
      HELP_MSG: 'Puedes pedirme que planee un viaje a cualquier planeta ' +
       'de nuestro sistema solar. Por ejemplo, puede decir "Planifique un ' +
       'viaje a Júpiter". ',
      HELP_MOONS_MSG: 'También puede planear viajar a varias de las ' +
        'lunas de nuestro sistema solar agregando el paquete "Magnificent ' +
        'Moons"; solo diga "Compre el paquete Magnificent Moons". ',
      HELP_PROMPT: '¿Qué quieres hacer?',
      HELP_CARD_TITLE: 'Cómo usar esta habilidad',
      HELP_CARD_MSG: 'Pídeme que planee un viaje a cualquier planeta ' +
        'de nuestro sistema solar. Por ejemplo, podría decir:\n'+
        '"Planifique un viaje a Júpiter"\n"Programe un viaje a Marte"' +
        '\n"Planifique un viaje a Venus que saldrá el próximo lunes".',
      GOODBYE_MSG: '¡Adiós y gracias por viajar con Star Port 75 Travel!',
      FALLBACK_MSG: 'No estoy seguro de poder ayudar con eso. ' +
        'Por favor pregunte nuevamente.',
      REFLECTOR_MSG: 'Acabas de activar {{intentName}}',
      ERROR_MSG:
        'Lo siento, tuve problemas para hacer lo que me pediste. ' +
        'Inténtalo de nuevo.',
      REMINDER_MSG: 'Un recordatorio de  Star Port 75 Travel: ' +
        '¡Tu viaje a {{destination}} es mañana!',
      REMINDER_PERMISSION: 'No pude establecer un recordatorio. ' +
        'Por favor, concédame permiso para configurar un recordatorio en ' +
        'la aplicación Alexa.',
      REMINDER_ERROR: 'Se produjo un error al crear el recordatorio.',
      YES_REMINDER: 'Bien, te enviaré un recordatorio un día antes de tu ' +
        'viaje.',
      NO_REMINDER: 'De acuerdo, no te enviaré un recordatorio.',
      UPSELL_MOONS_PACK: 'Viajar a {{destination}} solo está disponible ' +
          'con el complemento "Magnificent Moons". ¿Quieres saber más ' +
          'sobre esta opción?',
      PURCHASE_RESPONSE_ACCEPTED: '¡Gracias por comprar la extensión ' +
          'Magnificent Moons! Ahora puede reservar un viaje a varias de ' +
          'las lunas más prominentes de nuestro sistema solar.',
      PURCHASE_RESPONSE_DECLINED: 'Eso es muy malo. Si cambia de opinión, ' +
          'hágamelo saber diciendo "Compre el paquete Magnificent Moons".',
      PURCHASE_RESPONSE_ALREADY_PURCHASED: 'Ya has comprado el paquete ' +
          ' Magnificent Moons.',
      PURCHASE_RESPONSE_ERROR: 'Se produjo un error al procesar tu ' +
          'compra. Intenta nuevamente más tarde.'
    }
  }
}
