/***
 * Excerpted from "Build Talking Apps",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/cwalexa for more book information.
***/
const request = require('request-promise-native');
const crypto = require("crypto");

const clientId = 'amzn1.application-oa2-client.9160db0...';
const clientSecret = '69fcab9...';
const userId = 'amzn1.ask.account.AF3DEHA...';
const reservationTime = "2020-03-10T00:00:00Z";
const destination = "Jupiter";

Date.prototype.addHours = function(h) {
  this.setTime(this.getTime() + (h*60*60*1000));
  return this;
}

const eventPublisher = {
  async getAccessToken(clientId, clientSecret) {
    const requestPayload = require('./tokenRequest.json');
    requestPayload.client_id = clientId;
    requestPayload.client_secret = clientSecret;

    const token = await request({
      method: 'POST',
      uri: 'https://api.amazon.com/auth/o2/token',
      headers: {
        'Content-type': 'application/json'
      },
      body: JSON.stringify(requestPayload)
    });
    return JSON.parse(token).access_token;
  },

  async sendOccasionEvent(clientId, clientSecret, userId,
                          reservationTime, destination) {
    const accessToken =
          await eventPublisher.getAccessToken(clientId, clientSecret);

    const requestPayload = require('./eventRequest.json');
    requestPayload.referenceId = crypto.randomBytes(16).toString('hex');
    requestPayload.timestamp = new Date().toISOString();
    requestPayload.expiryTime = new Date().addHours(1).toISOString();
    requestPayload.event.payload.occasion.bookingTime = reservationTime;
    requestPayload.relevantAudience.payload.user = userId;
    requestPayload.localizedAttributes.push({
      locale: 'en-US',
      subject: `Trip to ${destination}`,
      providerName: "Star Port 75 Travel"
    });
    requestPayload.localizedAttributes.push({
      locale: 'es-ES',
      subject: `Viaje a ${destination}`,
      providerName: "Star Port 75 Travel"
    });

    const eventsUri = 'https://api.amazonalexa.com/v1/proactiveEvents';
    await request({
      method: 'POST',
      uri: eventsUri + '/stages/development',
      headers: {
        'Content-type': 'application/json',
        'Authorization': `Bearer ${accessToken}`
      },
      body: JSON.stringify(requestPayload)
    });

    console.log('Notification sent');
  }
};

eventPublisher.sendOccasionEvent(
      clientId, clientSecret, userId, reservationTime, destination);
