/***
 * Excerpted from "Build Talking Apps",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/cwalexa for more book information.
***/
const Alexa = require('ask-sdk-core');
const getResolvedSlotValue = require('./Helpers');

const FavoritePlanetsIntentHandler = {
  canHandle(handlerInput) {
    return Alexa.getRequestType(
              handlerInput.requestEnvelope) === 'IntentRequest'
      && Alexa.getIntentName(
              handlerInput.requestEnvelope) === 'FavoritePlanetsIntent';
  },
  handle(handlerInput) {
    const planets = 
        getResolvedSlotValue(handlerInput.requestEnvelope, 'planets');

    const planetList = 
        planets.length ===1 ?
        planets[0] :
        planets.slice(0, -1).join(', ') + ' and ' + planets.slice(-1);
    const speakOutput = `I like ${planetList}, too!`;
    return handlerInput.responseBuilder
        .speak(speakOutput)
        .getResponse();
  }
};

module.exports=FavoritePlanetsIntentHandler;
