/***
 * Excerpted from "Build Talking Apps",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/cwalexa for more book information.
***/
const Alexa = require('ask-sdk-core');

const ScheduleTripIntentHandler_InProgress = {
  canHandle(handlerInput) {
    return Alexa.getRequestType(
              handlerInput.requestEnvelope) === 'IntentRequest'
      && Alexa.getIntentName(
              handlerInput.requestEnvelope) === 'ScheduleTripIntent'
      && Alexa.getDialogState(handlerInput.requestEnvelope) !== 'COMPLETED';
  },
  handle(handlerInput) {
    const currentIntent = handlerInput.requestEnvelope.request.intent;
    const departureString =
          Alexa.getSlotValue(handlerInput.requestEnvelope, 'departureDate');
    const returnString =
          Alexa.getSlotValue(handlerInput.requestEnvelope, 'returnDate');

    if (departureString && returnString) {
      const departureDate = new Date(departureString);
      const returnDate = new Date(returnString);
      if (departureDate >= returnDate) {
        currentIntent.slots['returnDate'].value = null;
        return handlerInput.responseBuilder
          .speak("Star Port Seventy Five specializes in space travel, " +
              "not time travel. Please specify a return date that is " +
              "after the departure date.")
          .addDelegateDirective(currentIntent)
          .getResponse();
      }
    }

    return handlerInput.responseBuilder
      .addDelegateDirective(currentIntent)
      .getResponse();
  },
};

module.exports=ScheduleTripIntentHandler_InProgress;
