/***
 * Excerpted from "Build Talking Apps",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/cwalexa for more book information.
***/
'use strict';

const test = require('ask-sdk-test');
const skillHandler = require('../index.js').handler;

const skillSettings = {
  appId: 'amzn1.ask.skill.00000000-0000-0000-0000-000000000000',
  userId: 'amzn1.ask.account.VOID',
  deviceId: 'amzn1.ask.device.VOID',
  locale: 'en-US',
};

const alexaTest = new test.AlexaTest(skillHandler, skillSettings);

describe('Star Port 75 Travel - Hello Test', function() {
  describe('LaunchRequest', function() {
    alexaTest.test([
      {
        request: new test.LaunchRequestBuilder(skillSettings).build(),
        saysLike: 'Welcome to Star Port 75 Travel. How can I help you?',
          repromptsNothing: false,
          shouldEndSession: false,
      },
    ]);
  });

  describe('HelloWorldIntent', function() {
    alexaTest.test([
      {
        request: new test.IntentRequestBuilder(
                skillSettings, 'HelloWorldIntent').build(),
        saysLike: 'Have a stellar day!'
      },
    ]);
  });

});
