/***
 * Excerpted from "Build Talking Apps",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/cwalexa for more book information.
***/
const Alexa = require('ask-sdk-core');

const getResolvedSlotValue = (requestEnvelope, slotName) => {
    const slotResolution = Alexa.getSlot(requestEnvelope, slotName)            
        .resolutions.resolutionsPerAuthority[0];
        
    return slotResolution.status.code === 'ER_SUCCESS_MATCH' ?
        slotResolution.values[0].value.name :
        Alexa.getSlotValue(requestEnvelope, slotName);
};
/*
const getResolvedSlotValue = (requestEnvelope, slotName) => {
    const slotValueV2 = Alexa.getSlotValueV2(requestEnvelope, slotName);
  
    const simpleSlotValue = Alexa.getSimpleSlotValues(slotValueV2);
  
    return simpleSlotValue.map(sv => {
      if (sv.resolutions) {
        const rpa = sv.resolutions.resolutionsPerAuthority[0];
        return rpa.status.code === 'ER_SUCCESS_MATCH' ?
            rpa.values[0].value.name:
            sv.value;
      } else {
        return sv.value;
      }
    });
  }
*/

module.exports = getResolvedSlotValue;
